投稿投稿を取得する

投稿

投稿を取得する

各ネットワークの状態、公開後のリンク、失敗時のエラーを含む投稿を返します。ライブは Workspace の任意の投稿、テストはシミュレーション分を読み取ります。

GEThttps://api.sofia-post.com/api/v1/posts/{id}
GET/v1/posts/{id}
curl -X GET 'https://api.sofia-post.com/api/v1/posts/{id}' \
  -H "Authorization: Bearer $SOFIA_API_KEY"

認可

  • Authorizationstring必須

    個人キーまたは OAuth アクセストークン。Bearer <token> として送信します。

パスパラメーター

  • idstring必須

    投稿の ID。

レスポンス

200application/json

投稿と各ターゲットの状態。

  • idstring必須

    投稿の ID

  • statusstring必須

    全ネットワークを通じた状態。partial:一方で公開され、別の一方で失敗

    使用できる値: draftscheduledpublishingpublishedsent_to_inboxfailedpartial

  • establishmentIdstring必須

    投稿の店舗

  • createdAtstring<date-time>必須

    投稿が作成された日時

  • targetsobject[]必須

    ネットワークとアカウントごとに 1 件。1 つのネットワークに 2 アカウントなら 2 件

    子属性を表示
    • platformstring必須

      ターゲットのネットワーク

    • accountIdstring必須

      公開するアカウント(GET /v1/establishments/:id/accounts)

    • statestring必須

      ネットワーク上でのターゲットの状態

      使用できる値: draftscheduledpublishingpublishedsent_to_inboxfailed

    • publishedAtstring<date-time>

      ターゲットが公開された日時

    • permalinkstring

      ネットワーク上の公開済み投稿へのリンク

    • errorstring

      ネットワークが拒否した理由

  • scheduledAtstring<date-time>

    投稿の公開予定日時

401

トークンがない、不明、期限切れ、または失効しています。

403

トークンに posts:read スコープがありません。

404

post_not_found:Workspace の外(テストでは許可の外)です。

4XXapplication/json

その他のエラー。エラーエンベロープで返されます。